function SS = ssfn(x)
% x(1) = NE
% x(2) = eta
% x(3) = YF
% x(4) = AH
% x(5) = AO

global g_alpha g_varphi g_rho g_ch_yh g_m_yh g_g_yh g_yo_y

alpha = g_alpha;
varphi = g_varphi;
rho = g_rho;
RPOF = 1;

ch_yh = g_ch_yh;
m_yh = g_m_yh;
g_yh = g_g_yh;
yo_y = g_yo_y;

SS = [x(1) - ((1/(x(4)*(1-alpha)))*((1-alpha)*x(3)+(1/(1-x(2)))*(x(2)*x(5)*RPOF)^(1/(1-x(2)))))^(-1/varphi);
(1-alpha)*x(3)/(x(4)*x(1)) - ch_yh;
((x(2)*x(5)*RPOF)^(1/(1-x(2))))/(x(4)*x(1)) - m_yh;
1 - (1-alpha)*x(3)/(x(4)*x(1)) - ((x(2)*x(5)*RPOF)^(1/(1-x(2))))/(x(4)*x(1)) - g_yh;
((1-x(2))*x(5)*((x(2)*x(5)*RPOF)^(1/(1-x(2))))^x(2))/((1-x(2))*x(5)*((x(2)*x(5)*RPOF)^(1/(1-x(2))))^x(2)+(x(4)*x(1))) - yo_y
];


